Package org.eclipse.remote.core

## Interface IRemoteFileService

All Superinterfaces:
  `IRemoteConnection.Service`

    public interface IRemoteFileService
    extends IRemoteConnection.Service

Interface for managing files on a remote system.

Since:
  2.0

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.remote.core.IRemoteConnection.Service

`IRemoteConnection.Service.Factory`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getBaseDirectory()` Get the base directory to be used for relative paths.
`String` `getDirectorySeparator()` Gets the directory separator on the target system.
`org.eclipse.core.filesystem.IFileStore` `getResource​(String path)` Get the resource associated with path.
`void` `setBaseDirectory​(String path)` Set the base directory to be used for relative paths..
`String` `toPath​(URI uri)` Convert URI to a remote path.
`URI` `toURI​(String path)` Convert string representation of a remote path to equivalent URI.
`URI` `toURI​(org.eclipse.core.runtime.IPath path)` Convert remote path to equivalent URI.

### Methods inherited from interface org.eclipse.remote.core.IRemoteConnection.Service

`getRemoteConnection`

### Method Detail

#### getResource

    org.eclipse.core.filesystem.IFileStore getResource​(String path)

Get the resource associated with path. IFileStore can then be used to perform operations on the file. The remote connection does not need to be open to use this method, but subsequent operations on the IFileStore that access the underlying remote filesystem may require the connection to be open.

Parameters:
  `path` - path to resource
Returns:
  the file store representing the remote path

#### getBaseDirectory

    String getBaseDirectory()

Get the base directory to be used for relative paths.

Returns:
  base directory

#### setBaseDirectory

    void setBaseDirectory​(String path)

Set the base directory to be used for relative paths..

Parameters:
  `path` - new base directory

#### getDirectorySeparator

    String getDirectorySeparator()

Gets the directory separator on the target system.

Returns:
  String

#### toPath

    String toPath​(URI uri)

Convert URI to a remote path. This path is suitable for direct file operations on the remote system. The remote connection does not need to be open to use this method.

Returns:
  IPath representing the remote path

#### toURI

    URI toURI​(org.eclipse.core.runtime.IPath path)

Convert remote path to equivalent URI. This URI is suitable for EFS operations on the local system. The remote connection does not need to be open to use this method.

Parameters:
  `path` - path on remote system
Returns:
  URI representing path on remote system, or null if the path is invalid

#### toURI

    URI toURI​(String path)

Convert string representation of a remote path to equivalent URI. This URI is suitable for EFS operations on the local system. The remote connection does not need to be open to use this method.

Parameters:
  `path` - path on remote system
Returns:
  URI representing path on remote system, or null if the path is invalid